# Ve na danm dku za tmto symbolem nen pedmtem vykonvn pkaz 
# takto si tedy pi poznmky k tomu, co jsem zamlel
# (vkldejte klvesovou zkratkou Alt + 35)

###### R poprv (projektov = potebuji box-plot)######
#### Musme zvolit pracovn adres####
# lomtka jsou klasick a ne opan,
# pkaz je setwd

setwd("C:/Users/Navratil/Documents/R")
# setwd("C:/Users/uivatel/Documents/R") # cesta pro koln PC

#### Musme mt data####
# Data jsou ty typ: http://portal.matematickabiologie.cz/index.php?pg=zaklady-informatiky-pro-biology--vypocetni-matematicke-systemy--vyuka-jazyka-r--prvni-setkani-s-jazykem-r--datove-typy-objektu

# "Nejjednodum" zpsobem jak data zskat, je import z MS Excel.
# Data lze pipravit i R v podstan nekonen mnoha zpsoby,
# pt si ukeme principy), pro zatek je ale o hodn 
# jednodu pout MS Excel :-) 
# Import nen pln automaticky dostupn, ale je k tomu nutno mt nainstalovan 
# balky (packages).
# K instalacm balk se dostaneme asem, ale instalaci balk nutnch k monosti importu 
# dat z MS Excel natst dl nov u RStudio intuitivn. 
# Packages je vdy teba aktivovat pkazem library - zrovna pro import z MS Excel 
# to nen teba, protoe to RStudio dl samo, ale vukov si to vyzkouejme.

library(readxl)

####Objekty
# data tvo objekty - typy objekt viz prezentace
# R si tyto objekty pamatuje pod nzvem, definuj se pomoc "<-" 
# (vkldejte klvesovou zkratkou Alt + doln podtrtko)

pro_boxplot <- read_excel("C:/Users/Navratil/Documents/Navratil/ZF/Statistika/data_mkv1_1.xlsx")
# data <- read_excel("E:/R/data_mkv1_1.xlsx") # cesta k datm na Vaich flekch

# pro_boxplot je mnou zvolen nzev pro objekt dat,
# read_excel je pkaz z package readxl a umouje import dat z MS Excel,
# v zvorce a uvozovkch je cesta k souboru,
# vsledek m charakter typu dat data.frame, kter zahrnuje data dvou sloupc, 
# jmna sloupc a oznaen dk - je to tedy komplikovan struktura dat
# Jak to vm? - Pokud nevme, tak pouijeme dotaz na typ dat - class 

class(pro_boxplot)

####A konen graf####
# pouiji funkci boxplot

boxplot(pro_boxplot)

# V prav doln sti v poloce Plot se zobraz vsledek.

####Atributy####
# Vsledek se nm moc nelb = nen to, co jsme chtli, opt plat,
# zpsob, jak doclit poadovanho stavu je nekonen mnoho. My se 
# na een naume principy prce s atributy.
# Pkazy maj atributy - je teba dohledat v helpu, ten se vol pomoc 
# otaznku a nzvu pkazu nebo pkazu help

?boxplot
help(boxplot)

# npovda se zobraz v okn vpravo dole

#v podstat budeme pouvat tzv low-level funkce, pomoc nich jsme schopni
# v grafu cokoliv zmnit a cokoliv do nj doplnit

# nejprve vlome jen poadovan sloupce z tatov tabulky

boxplot(pro_boxplot$c1, pro_boxplot$c4)

# nzvy jsou divn, mli bychom je popsat

boxplot(pro_boxplot$c1, pro_boxplot$c4, names=c("jaro", "podzim"))

# te bychom mli popsat osy

boxplot(pro_boxplot$c1, pro_boxplot$c4, names=c("jaro", "podzim"), xlab="odbr", ylab="konduktivita [uS/cm]")

# mohli bychom napsat nzev

boxplot(pro_boxplot$c1, pro_boxplot$c4, names=c("jaro", "podzim"), main="Konduktivita na raelinitch", xlab="odbr", ylab="konduktivita [uS/cm]")

# pro nespokojence lze sestavit i sloitj konstrukci a pohrt si s barvami a liniemi
# nejprve musme vytvoit nov objekt, kterm bude seznam (list),
# pojmunuji ho bx.barvy - grafiku pak mnm pomoc funkce bxp()

bx.barvy <- boxplot(pro_boxplot$c1, pro_boxplot$c4, names=c("jaro", "podzim"))

bxp(bx.barvy, boxfill = "lightblue", medcol = "red", medlty="dashed", main="Konduktivita na raelinitch", xlab="odbr", ylab="konduktivita [uS/cm]")

# zkladn typy grafickch prav jsou nap. zde: http://portal.matematickabiologie.cz/index.php?pg=zaklady-informatiky-pro-biology--vypocetni-matematicke-systemy--vyuka-jazyka-r--grafika-v-r--funkce-par


# mno a nakonec bychom mohli zskat i textov vstupn hodnoty, 
# k tomu pouiji pkaz (boxplot())

(boxplot(pro_boxplot$c1, pro_boxplot$c4, names=c("jaro", "podzim"), main="Konduktivita na raelinitch", xlab="odbr", ylab="konduktivita [uS/cm]"))